
%bcond_with	snap	# include shapshot information in version,
			# should be used only in official Th spanhots

%define snapshot	2012

# CPE_NAME = cpe:/ {part} : {vendor} : {product} : {version} : {update} : {edition} : {language}
# http://cpe.mitre.org/specification/
# http://csrc.nist.gov/publications/nistir/ir7695/NISTIR-7695-CPE-Naming.pdf

%if %{with snap}
%define	distname	Th/%{snapshot}
%define cpename		cpe:/o:pld-linux:pld:%{distversion}:%{snapshot}
%else
%define	distname	Th
%define cpename		cpe:/o:pld-linux:pld:%{distversion}
%endif
%define	distversion	3.0
%define	distrelease	"%{distversion} PLD Linux (%{distname})"

Summary:	PLD Linux release file with logo
Summary(de.UTF-8):	PLD Linux Release-Datei mit logo
Summary(pl.UTF-8):	Wersja Linuksa PLD z logiem
Name:		issue-fancy
Version:	%{distversion}
Release:	1%{?with_snap:.%{snapshot}}
License:	GPL
Group:		Base
Source0:	%{name}-gen
Source1:	%{name}.crontab
Source2:	%{name}.init
# In fact it requires quote_logo_backslashes patch.
BuildRequires:	linux_logo >= 3.9b5
Requires(post,preun):	/sbin/chkconfig
Requires:	linux_logo >= 3.9b5
Requires:	crondaemon
Provides:	issue
Provides:	issue-package
Obsoletes:	issue-package
Conflicts:	issue-alpha < 3.0-1
Conflicts:	issue-logo < 3.0-1
Conflicts:	issue-nice < 3.0-1
Conflicts:	issue-pure < 3.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
PLD Linux release file with logo.

%description -l pl.UTF-8
Wersja Linuksa PLD z logiem.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,rc.d/init.d},%{_sbindir}}

install %{SOURCE0} $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/issue-fancy

$RPM_BUILD_ROOT%{_sbindir}/issue-fancy-gen $RPM_BUILD_ROOT

echo %{distrelease} > $RPM_BUILD_ROOT%{_sysconfdir}/pld-release

# CPE_NAME = cpe:/ {part} : {vendor} : {product} : {version} : {update} : {edition} : {language}
# http://cpe.mitre.org/specification/
cat >$RPM_BUILD_ROOT%{_sysconfdir}/os-release <<EOF
NAME="PLD Linux"
VERSION="%{distversion} (%{distname})"
ID="pld"
VERSION_ID="%{distversion}"
PRETTY_NAME="PLD Linux %{distversion} (%{distname})"
ANSI_COLOR="0;32"
CPE_NAME="%{cpename}"
HOME_URL="http://www.pld-linux.org/"
BUG_REPORT_URL="http://bugs.pld-linux.org/"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/issue-fancy-gen
/sbin/chkconfig --add issue-fancy

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del issue-fancy
fi

%files
%defattr(644,root,root,755)
%{_sysconfdir}/os-release
%{_sysconfdir}/pld-release
# Can't use "noreplace" here because issues are regenerated from cron
# and %post. Without "noreplace" at least ".rpmsave" will stay.
%config %verify(not md5 mtime size) %{_sysconfdir}/issue
%config %verify(not md5 mtime size) %{_sysconfdir}/issue.net
%attr(755,root,root) %{_sbindir}/*
%attr(600,root,root) /etc/cron.d/*
%attr(754,root,root) /etc/rc.d/init.d/*
%changelog
* Sat Sep 01 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/issue-fancy.git;a=log;h=master

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 4df6f29
Use canonical short url for BUG_REPORT_URL

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> dad812c
Conflicts tag need a release

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 340b8ad
Added BUG_REPORT_URL to /etc/os-release

* Mon Aug 20 2012 Jan Rękorajski <baggins@pld-linux.org> 7c7ac1e
Change version to 3.0 and add snap bcond

* Thu Feb 16 2012 Jan Rękorajski <baggins@pld-linux.org> 9a2e241
- relup
- drop foreign obsoletes
- add /etc/os-release (http://www.freedesktop.org/software/systemd/man/os-release.html)

* Tue Nov 18 2008 Szymon Siwek <sls@pld-linux.org> 2a3d379
- not verify md5+mtime+size for regenereted issue files (BTW - what's point
  to config these files?)

* Wed Aug 08 2007 Patryk Zawadzki <patrys@room-303.com> b1edf42
- add conflicts where affected
- add P/O issue-package
- rel up

* Mon Aug 06 2007 Patryk Zawadzki <patrys@room-303.com> 49ceaf7
- drop obsoletes
- provide issue

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d49cd45
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2670b29
- converted to UTF-8

* Tue Apr 25 2006 Adam Gołębiowski <adamg@pld-linux.org> 54df202
- 2.99 (Th)

* Sun Jan 22 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f9125ee
- update for AC 2.0

* Tue Dec 14 2004 djrzulf <djrzulf@pld-linux.org> 2643a64
- added missed obsoletes,

* Sat Oct 25 2003 pzurowski <pzurowski@pld-linux.org> f74c258
- added %%{distversion}, %%{distname} and %%{distrelease} macros

* Tue Jul 29 2003 Jakub Bogusz <qboosh@pld-linux.org> 10b15c7
- added missing Requires(): chkconfig or PreReq: rc-scripts

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> f81a502
- massive attack s/pld.org.pl/pld-linux.org/

* Fri May 23 2003 ankry <ankry@pld-linux.org> aae3c62
- LSB conformance

* Sun May 11 2003 ankry <ankry@pld-linux.org> 779a436
- cleaning

* Sun May 04 2003 ankry <ankry@pld-linux.org> 47c4435
- cleaning

* Mon Dec 02 2002 Paweł Gołaszewski <blues@pld-linux.org> 3cf2064
 - started with 1.99

